var Click2TabLoadBookmark = 
{
    init : function ()
    {
        // Add a new function for BookmarksMenu to save the original loadBookmark() function
        BookmarksMenu.__loadBookmark = BookmarksMenu.loadBookmark;
        BookmarksMenu.loadBookmark = this.loadBookmark;
    },
    	
    deinit : function ()
    {
        BookmarksMenu.loadBookmark = BookmarksMenu.__loadBookmark;
    },

    // Please note that when this function is called, the "this" pointer is actually pointed to 
    // the "BookmarksMenu" object, not "bkBookmark".
    loadBookmark: function (aEvent, aTarget, aDS)
    {
        if (aTarget.getAttribute("class") == "openintabs-menuitem")
            aTarget = aTarget.parentNode.parentNode;

        // Check for invalid bookmarks (most likely a static menu item like "Manage Bookmarks")
        if (!this.isBTBookmark(aTarget.id))
            return;
        var rSource   = RDF.GetResource(aTarget.id);
        var selection = BookmarksUtils.getSelectionFromResource(rSource);
        // Code changed to open bookmark item in new tab when the current tab isn't blank
        // By NetOne on 2004/11/17
        var browserTarget = whereToOpenLinkClick2Tab(aEvent, prefStringClick2TabBookmark, selection, aDS);

        BookmarksCommand.openBookmark(selection, browserTarget, aDS);

        aEvent.preventBubble();
    }
}; 